Send custom events

Log and published custom events to the real-time processing pipeline for immediate analysis (health scoring, anomaly detection, abandonment detection).

Send custom events

POST /external/v1/custom-events/log

Log and published custom events to the real-time processing pipeline for immediate analysis (health scoring, anomaly detection, abandonment detection).

Customer resolution: Each event should include at least one of:

  • session_id - Cuoral session ID

  • customer_id - Your customer ID as stored in Cuoral

  • customer_email - Customer email address

Headers

Name
Value

Content-Type

application/json

x-api-key

<api_key>

Body

{
  "events": [
    {
      "name": "string",
      "category": "string",
      "properties": {
        "custom_props1":"",
        "custom_props2":""
      },
      "event_timestamp": "2026-02-26T14:44:17.435Z",
      "url": "string",
      "session_id": "string",
      "customer_id": "string",
      "customer_email": "string"
    },
  ]
}

Response

Last updated